<!-- fq -->

<script type="text/javascript" language="javascript">
    function show(id, id_t, label_reward, label_money, label_credit, label_content) {
        var text = $('#' + id);
        var text_t = $('#' + id_t);
        if (text.val() == 0) {
            text_t.attr("placeholder", label_reward);
        }
        if (text.val() == 1) {
            text_t.attr("placeholder", label_money);
        }
        if (text.val() == 3) {
            text_t.attr("placeholder", label_credit);
        }
        if (text.val() == 2) {
            text_t.attr("placeholder", label_content);
        }
        return content;
    }
</script>

<%= error_messages_for 'bid' %>
<p>
  <%= f.text_field :name, :required => true, :size => 60, :style => "width:490px;", :maxlength => Bid::NAME_LENGTH_LIMIT, :onkeyup => "regexName();"  %>
</p>
<p>
  <span id="bid_name_span"></span>
</p>

<p>
  <%= f.text_area :description, :rows => 8, :class => 'wiki-edit', :style => "font-size:small;width:490px;", :maxlength => Bid::DESCRIPTION_LENGTH_LIMIT %>
</p>
<p>
  <%= f.text_field(:deadline, :required => true, :size => 60, :style => "width:100px;", :readonly => true, :onchange => "regexDeadLine();") %>
  <%= calendar_for('bid_deadline')%>
  <span id="bid_deadline_span">
  </span>
</p>
<p style="display: none;">
  <%= f.select :is_evaluation, is_evaluation_option %>
</p>
<p style="display: none">
  <%= f.select :proportion, proportion_option %>
</p>
<p id="open_anonymous_evaluation_p">
  <%= f.check_box :open_anonymous_evaluation, :style => "margin-left:10px;" %>
  <span id='open_anonymous_evaluation_span' style="display: none">未开启匿评作业将直接进入众评点赞阶段</span>
</p>
<p id="evaluation_num_p">
  <%= f.text_field :evaluation_num, :required => true, :size => 60, :style => "width:150px;", :onkeyup => "regexEvaluationNum();" , :maxlength => 4%>
  <span id="bid_evaluation_num_span">即每份作业被允许匿评的人数</span>
</p>
<p>
  <%= hidden_field_tag 'course_id', @course.id %>
</p>
<fieldset>
  <legend>
    <%= l(:label_attachment_plural) %>
  </legend>
  <p>
    <%= render :partial => 'attachments/form', :locals => {:container => @bid} %>
  </p>
</fieldset>